Cicle API
Cicle
App
Contact
  1. Card Metadata
  • Getting Started
    • Introduction
    • Authentication
    • Managing API Keys
    • Rate Limiting
    • Error Codes
  • Companies
    • Overview
    • Get Companies
  • Teams
    • Overview
    • Get Current Teams
  • Boards
    • Overview
    • Get Board with Lists and Cards
    • Get Board with Lists
  • Lists
    • Overview
    • Get All Lists by Company and Team
  • Cards
    • Overview
    • Managing Cards
    • Labels And Members
    • Checklists
    • Comments And Discussions
    • Card Members
      • Toggle Multiple Members
    • Card Labels
      • Toggle Multiple Labels
    • Card Cheers
      • Create Cheer on Card
      • Delete Cheer from Card
    • Card Comments
      • Create Comment
      • Get Card Comments
      • Update Comment on Card
      • Delete Comment from Card
    • Comment Cheers
      • Create Cheer on Comment
      • Delete Cheer from Comment
    • Card Discussions
      • Create Discussion on Comment
      • Update Discussion
      • Delete Discussion
    • Discussion Cheers
      • Create Cheer on Discussion
      • Delete Cheer from Discussion
    • Card Attachments
      • Delete Attachment from Card
      • Update Attachment Name on Card
    • Checklists
      • Checklist Items
        • Checklist Item Attachments
          • Delete Attachment from Checklist Item
          • Update Attachment Name on Checklist Item
        • Get Checklist Items
        • Create Checklist Item
        • Get Checklist Item by ID
        • Update Checklist Item Name
        • Update Checklist Item Date
        • Toggle Checklist Item Complete Status
        • Reorder Checklist Item
        • Toggle Members on Checklist Item
        • Copy Checklist Item
        • Delete Checklist Item
      • Get Checklists
      • Create Checklist
      • Update Checklist Name
      • Reorder Checklist Position
      • Copy Checklist
      • Delete Checklist
    • Card Metadata
      • Get Card Company and Team
        GET
    • Create Card
      POST
    • Copy Card
      POST
    • Archive Cards
      PATCH
    • Archive Cards Multi Team
      PATCH
    • Copy Cards Multi Team
      PATCH
    • Move Cards Multi Team
      PATCH
    • Update Cards Multi Team
      PATCH
    • Reorder Card Position
      PATCH
    • Update Card
      PATCH
    • Archive Card
      PATCH
    • Unarchive Card
      PATCH
    • Get Card Details
      GET
    • Get List Card
      GET
  • My Tasks
    • List All My Tasks
    • List All My Tasks In List
  • Schemas
    • Card
      • Card
      • Checklist
      • Discussion
      • Checklist Item
      • Attachment
      • Cheer
      • Comment
      • Label
      • List
      • Company
      • Team
  1. Card Metadata

Get Card Company and Team

GET
https://primaryapi.cicle.app/v2/cards/{cardId}/company
Last modified:2026-07-02 07:20:08
Maintainer:Putu Aditya
Get company and team information for a card. No authentication required.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Company and team information retrieved successfully
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://primaryapi.cicle.app/v2/cards//company' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "message": "string",
    "company": {
        "_id": "string",
        "name": "string",
        "desc": "string",
        "logo": "string",
        "creator": "string",
        "admins": [
            "string"
        ],
        "managers": [
            "string"
        ],
        "spvs": [
            "string"
        ],
        "members": [
            {
                "_id": "string",
                "fullName": "string",
                "photoUrl": "string",
                "status": "string",
                "bio": "string"
            }
        ],
        "teams": [
            {
                "_id": "string",
                "name": "string",
                "desc": "string",
                "company": "string",
                "type": "string",
                "members": [
                    {
                        "_id": "string",
                        "photoUrl": "string"
                    }
                ],
                "boards": [
                    "string"
                ],
                "archived": {
                    "status": true
                },
                "createdAt": "string",
                "updatedAt": "string"
            }
        ],
        "archived": {
            "status": true,
            "archivedAt": "string"
        },
        "createdAt": "string",
        "updatedAt": "string"
    },
    "team": {
        "_id": "string",
        "name": "string",
        "desc": "string",
        "creator": "string",
        "company": "string",
        "type": "string",
        "members": [
            {
                "_id": "string",
                "photoUrl": "string",
                "bio": "string",
                "status": "string"
            }
        ],
        "boards": [
            "string"
        ],
        "archived": {
            "status": true,
            "archivedAt": "string"
        },
        "createdAt": "string",
        "updatedAt": "string"
    }
}
Previous
Delete Checklist
Next
Create Card
Built with